(*  Deriving the optimal slope manually *)

(*  First pole of first pole pair *)
term1 = (1 + u^2) ArcTan[u] - u;
term2 = (u ArcTan[u] - (1/2) Log[1 + u^2]);
uminus = ( wmax - i1 ) / r1; uplus = -i1/r1;
int11 = (1/2) r1^2 ( (term1 /. u -> uplus) - (term1 /. u -> uminus) ) +
        r1 i1 ( (term2 /. u -> uplus) - (term2 /. u -> uminus) );

(*  Second pole of first pole pair *)
int12 = int11 /. i1 -> (- i1);

(*  Integral for one pole pair  *)
Simplify[ int11 + int12 ]

